# vectorFields

#### new vectorFields(selection)

Constructor

Source:
  - component/vectorFields.js, line 106

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/vectorFields.js, line 299

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/vectorFields.js, line 287

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/vectorFields.js, line 215

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) on() → {*}

Dispatch On Getter

Source:
  - component/vectorFields.js, line 322

##### Returns:

Type:
  `*`

#### (static) sizeRange(_v) → {*}

Size Range Getter / Setter

Source:
  - component/vectorFields.js, line 275

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | Size min and max (e.g. [1, 9]).

##### Returns:

Type:
  `*`

#### (static) sizeScale(_v) → {*}

Size Scale Getter / Setter

Source:
  - component/vectorFields.js, line 263

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) vectorFunction(_f) → {*}

Vector Function Getter / Setter

Source:
  - component/vectorFields.js, line 311

##### Parameters:

Name | Type | Description
--- | --- | ---
`_f` | `function` | Vector Function.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/vectorFields.js, line 227

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/vectorFields.js, line 239

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/vectorFields.js, line 251

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`